Package ghidra.app.util.bin.format.som

# Class SomDltEntry

java.lang.Object
ghidra.app.util.bin.format.som.SomDltEntry

All Implemented Interfaces:
  `StructConverter`

public class SomDltEntry extends Object implements StructConverter
Represents a SOM `DLT` value

See Also:
  - The 32-bit PA-RISC Run-time Architecture Document

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZE`
  The size in bytes of a `SomDltEntry`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SomDltEntry(BinaryReader reader)`
  Creates a new `SomDltEntry`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getValue()`
  Returns the value of the DLT entry.
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SIZE

    public static final int SIZE
    The size in bytes of a `SomDltEntry`
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SomDltEntry

    public SomDltEntry(BinaryReader reader) throws IOException
    Creates a new `SomDltEntry`
    Parameters:
      `reader` - A `BinaryReader` positioned at the start of the DLT
    Throws:
      `IOException` - if there was an IO-related error

- ## Method Details

  - ### getValue

    public int getValue()
    Returns the value of the DLT entry.
    Returns:
      the value of the DLT entry

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`